//
//  ExampleViewController.m
//  Example
//
//  Created by Rodrigo Neri on 9/18/11.
//  Copyright 2011 Rodrigo Neri. All rights reserved.
//

#import "ExampleViewController.h"

@implementation ExampleViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.view setBackgroundColor:[UIColor lightGrayColor]];
    
    NSString *imageURL = @"http://a2.twimg.com/profile_images/1293394282/new_me_reasonably_small.png";
    
    //Old way with no caching.
    UIImageView *imageA = [[UIImageView alloc] initWithFrame:CGRectMake(30, 30, 100, 100)];
    NSData *imageData = [NSData dataWithContentsOfURL:[NSURL URLWithString:imageURL]];
    [imageA setImage:[UIImage imageWithData:imageData]];
    [self.view addSubview:imageA];
    [imageA release];
    
    //New way with caching. Go ahead and turn off the internet and the image will still show.
    NImageView *imageB = [[NImageView alloc] initWithFrame:CGRectMake(30, 160, 100, 100) andURL:imageURL];
    [self.view addSubview:imageB];
    [imageB release];
    
    //Example of a fallback default image in case the actual one can't be loaded.
    NSString *badImageURL = @"http://aimageurlthatdoesnotexist.com/awesome-image.png";
    NImageView *imageC = [[NImageView alloc] initWithFrame:CGRectMake(30, 290, 100, 100) andURL:badImageURL];
    [self.view addSubview:imageC];
    [imageC release];
}

- (void)dealloc {
    [super dealloc];
}

@end
